﻿Type=Activity
Version=3.82
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
	Dim lScores As List
End Sub

Sub Globals
	Private lvHighScores As ListView
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("HighScores")
	GetResults
End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
End Sub

Private Sub GetResults()
	If File.Exists(File.DirInternal, "Scores.dat") Then
		lScores.Initialize()
		Dim mScores As Map
		mScores = File.ReadMap(File.DirInternal, "Scores.dat")
		For Each strScore As String In mScores.Keys
			lScores.Add(strScore)
		Next
		lScores.Sort(False)
		DisplayResults
	End If
End Sub

Private Sub DisplayResults()
	For Each strScore In lScores
		lvHighScores.AddSingleLine(strScore)
	Next
End Sub